cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/payment_processors" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"payment_processor": {
"name": "Cash payments",
"gateway_name": "CASH",
"currency": "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status": "inactive",
"credentials": {
"maximumRetryOnFailure": "0"
}
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_payment_processor(
{
"payment_processor": {
"name": "Cash payments",
"gateway_name": "CASH",
"currency": "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status": "inactive",
"credentials": {"maximumRetryOnFailure": "0"},
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsPaymentProcessor({
payment_processor: {
name: 'Cash payments',
gateway_name: 'CASH',
currency: '221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
status: 'inactive',
credentials: {maximumRetryOnFailure: '0'},
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsPaymentProcessor([
'payment_processor' => [
'name' => 'Cash payments',
'gateway_name' => 'CASH',
'currency' => '221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'status' => 'inactive',
'credentials' => ['maximumRetryOnFailure' => '0'],
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsPaymentProcessorSaved;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPaymentProcessorSaved> response = client.settings().createSettingsPaymentProcessor(
Map.of(
"payment_processor", Map.of(
"name", "Cash payments",
"gateway_name", "CASH",
"currency", "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status", "inactive",
"credentials", Map.of("maximumRetryOnFailure", "0"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsPaymentProcessorAsync(new Dictionary<string, object?>
{
["payment_processor"] = new Dictionary<string, object?>
{
["name"] = "Cash payments",
["gateway_name"] = "CASH",
["currency"] = "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
["status"] = "inactive",
["credentials"] = new Dictionary<string, object?>
{
["maximumRetryOnFailure"] = "0",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsPaymentProcessor({
'payment_processor': {
'name': 'Cash payments',
'gateway_name': 'CASH',
'currency': '221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'status': 'inactive',
'credentials': {'maximumRetryOnFailure': '0'},
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsPaymentProcessor(context.Background(), map[string]any{
"payment_processor": map[string]any{
"name": "Cash payments",
"gateway_name": "CASH",
"currency": "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status": "inactive",
"credentials": map[string]any{"maximumRetryOnFailure": "0"},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"payment_processor": {
"accounting_code": "<unknown>",
"conversion_rate": 123,
"created_by": "<unknown>",
"created_on": "<string>",
"credentials": "<unknown>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"description": "<string>",
"disconnected": true,
"display_name": "<string>",
"gateway_name": "<string>",
"gateway_type": "<string>",
"href": "<string>",
"id": "<string>",
"integration_state": "<string>",
"is_default": true,
"is_foreign_currency": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"provider": "<string>",
"status": "<string>",
"version": 123
}
}Instance settings
Create a payment processor
Creates an offline payment processor and returns it under payment_processor.
POST
/
settings
/
payment_processors
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/payment_processors" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"payment_processor": {
"name": "Cash payments",
"gateway_name": "CASH",
"currency": "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status": "inactive",
"credentials": {
"maximumRetryOnFailure": "0"
}
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_payment_processor(
{
"payment_processor": {
"name": "Cash payments",
"gateway_name": "CASH",
"currency": "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status": "inactive",
"credentials": {"maximumRetryOnFailure": "0"},
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsPaymentProcessor({
payment_processor: {
name: 'Cash payments',
gateway_name: 'CASH',
currency: '221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
status: 'inactive',
credentials: {maximumRetryOnFailure: '0'},
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsPaymentProcessor([
'payment_processor' => [
'name' => 'Cash payments',
'gateway_name' => 'CASH',
'currency' => '221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'status' => 'inactive',
'credentials' => ['maximumRetryOnFailure' => '0'],
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsPaymentProcessorSaved;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPaymentProcessorSaved> response = client.settings().createSettingsPaymentProcessor(
Map.of(
"payment_processor", Map.of(
"name", "Cash payments",
"gateway_name", "CASH",
"currency", "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status", "inactive",
"credentials", Map.of("maximumRetryOnFailure", "0"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsPaymentProcessorAsync(new Dictionary<string, object?>
{
["payment_processor"] = new Dictionary<string, object?>
{
["name"] = "Cash payments",
["gateway_name"] = "CASH",
["currency"] = "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
["status"] = "inactive",
["credentials"] = new Dictionary<string, object?>
{
["maximumRetryOnFailure"] = "0",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsPaymentProcessor({
'payment_processor': {
'name': 'Cash payments',
'gateway_name': 'CASH',
'currency': '221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'status': 'inactive',
'credentials': {'maximumRetryOnFailure': '0'},
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsPaymentProcessor(context.Background(), map[string]any{
"payment_processor": map[string]any{
"name": "Cash payments",
"gateway_name": "CASH",
"currency": "221b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"status": "inactive",
"credentials": map[string]any{"maximumRetryOnFailure": "0"},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"payment_processor": {
"accounting_code": "<unknown>",
"conversion_rate": 123,
"created_by": "<unknown>",
"created_on": "<string>",
"credentials": "<unknown>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"description": "<string>",
"disconnected": true,
"display_name": "<string>",
"gateway_name": "<string>",
"gateway_type": "<string>",
"href": "<string>",
"id": "<string>",
"integration_state": "<string>",
"is_default": true,
"is_foreign_currency": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"provider": "<string>",
"status": "<string>",
"version": 123
}
}Send the new processor under
payment_processor, with a gateway_name such as CASH, the currency id, and credentials.maximumRetryOnFailure set to "0" or "1"; without that value the create is refused. The response carries gateway_name and credentials where a read has provider.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new payment processor, under payment_processor.
Show child attributes
Show child attributes